## qt4-x11 4.4.0

=== src/3rdparty/kdebase/runtime/phonon/ds9/CMakeLists.txt ===
# Copyright (C) 2007 Trolltech ASA. All rights reserved.
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.
project(phonon-ds9)
include(ConfigureChecks.cmake)

if (BUILD_PHONON_DS9)
    find_package(OPENGL REQUIRED)

    include_directories($ENV{DXDSDK_DIR}/include)
    set(phonon_ds9_SRCS
            abstractvideorenderer.cpp
            audiooutput.cpp
            backend.cpp
            backendnode.cpp
            effect.cpp
            fakesource.cpp
            iodevicereader.cpp
            mediagraph.cpp
            mediaobject.cpp
            videowidget.cpp
            videorenderer_vmr9.cpp
            videorenderer_soft.cpp
            volumeeffect.cpp
            qbasefilter.cpp
            qpin.cpp
            qasyncreader.cpp
			qaudiocdreader.cpp
            qmeminputpin.cpp
	)

    if (MSVC80)
	    # need to set this option for MSVC 2005+ or else
	    # QString::fromWCharArray will result in an unresolved external
	    # see http://www.qtcentre.org/forum/f-installation-5/t-wchar-to-qstring-giving-error-in-vs2005-4625.html
	    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:wchar_t-")
    endif (MSVC80)
    
    if (MINGW)
        add_definitions("-DUNICODE")
    endif (MINGW)
	
    kde4_add_plugin(phonon_ds9 ${phonon_ds9_SRCS})
    target_link_libraries(phonon_ds9
            ${QT_QTGUI_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${KDE4_PHONON_LIBS} ${KDE4_KDECORE_LIBS}
	    dxguid strmiids dmoguids msdmo ole32 oleaut32 uuid gdi32)
    install(TARGETS phonon_ds9
	    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
	    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	    ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
    install(FILES ds9.desktop DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)
endif (BUILD_PHONON_DS9)

=== src/3rdparty/kdebase/runtime/phonon/gstreamer/CMakeLists.txt ===
# Copyright (C) 2007 Trolltech ASA. All rights reserved.
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.

project(phonon-gstreamer)
include(ConfigureChecks.cmake)

if (BUILD_PHONON_GSTREAMER)
    include_directories(${GSTREAMER_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR}
      ${LIBXML2_INCLUDE_DIR})

    set(phonon_gstreamer_SRCS
     audiooutput.cpp
     backend.cpp
     devicemanager.cpp
     effectmanager.cpp
     gsthelper.cpp
     mediaobject.cpp
     medianode.cpp
     effect.cpp
     medianodeevent.cpp
     videowidget.cpp
     qwidgetvideosink.cpp
     streamreader.cpp
     phononsrc.cpp
     message.cpp
     audioeffect.cpp
     abstractrenderer.cpp
     x11renderer.cpp
     widgetrenderer.cpp
     glrenderer.cpp
     volumefadereffect.cpp
    )

    kde4_add_plugin(phonon_gstreamer ${phonon_gstreamer_SRCS})
    target_link_libraries(phonon_gstreamer
        ${QT_QTGUI_LIBRARY} ${QT_QTOPENGL_LIBRARY}
        ${KDE4_PHONON_LIBS} ${OPENGL_gl_LIBRARY}
	${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
	${GSTREAMER_PLUGIN_VIDEO_LIBRARIES}
	${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES})
    install(TARGETS phonon_gstreamer DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/phonon_backend)
    install(FILES gstreamer.desktop DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)

endif (BUILD_PHONON_GSTREAMER)

=== src/3rdparty/kdebase/runtime/phonon/qt7/CMakeLists.txt ===
# Copyright (C) 2007 Trolltech ASA. All rights reserved.
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.
project(phonon-qt7)
include(ConfigureChecks.cmake)

if (BUILD_PHONON_QT7)
    set(phonon_qt7_SRCS
        medianode.cpp
        backend.cpp
        videowidget.cpp
        mediaobject.cpp
        quicktimevideoplayer.cpp
	displaylinkcallback.cpp
        error.cpp
	medianodevideopart.cpp
        medianodeevent.cpp
        quicktimeaudioplayer.cpp
	audionode.cpp
        audiograph.cpp
        audiooutput.cpp
        quicktimemetadata.cpp
   	audiomixer.cpp
        audiodevice.cpp
        backendinfo.cpp
        audioconnection.cpp
   	videoframe.cpp
        audiosplitter.cpp
        mediaobjectaudionode.cpp
       )

   kde4_add_plugin(phonon_qt7 ${phonon_qt7_SRCS})
   target_link_libraries(phonon_qt7
       ${QT_QTGUI_LIBRARY} ${QT_QTOPENGL_LIBRARY}
       ${KDE4_PHONON_LIBS}
       "-framework QuickTime"
       "-framework OpenGL"
       "-framework AudioUnit"
       "-framework AudioToolbox"
       "-framework CoreAudio"
       "-framework Quartz"
#      "-framework AGL"
       )
    install(TARGETS phonon_qt7 DESTINATION ${PLUGIN_INSTALL_DIR})
    #install(FILES qt7.desktop DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)

endif (BUILD_PHONON_QT7)

## qt4-x11 4.4.3

=== src/3rdparty/kdelibs/phonon/CMakeLists.txt ===
FIND_PACKAGE(Alsa)
ALSA_CONFIGURE_FILE(${CMAKE_CURRENT_BINARY_DIR}/config-alsa.h)

OPTION(KDE4_DISABLE_MULTIMEDIA "Disable multimedia support (default: off)" OFF)
IF (KDE4_DISABLE_MULTIMEDIA)
  MESSAGE(STATUS "Phonon multimedia support disabled by user.")
  SET(HAVE_KDE4_MULTIMEDIA 0)
ELSE (KDE4_DISABLE_MULTIMEDIA)
  MESSAGE(STATUS "Phonon multimedia support is enabled.")
  SET(HAVE_KDE4_MULTIMEDIA 1)
ENDIF (KDE4_DISABLE_MULTIMEDIA)

configure_file(config-phonon.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-phonon.h )

# Those apply to all subdirs
include_directories(${KDE4_KDECORE_INCLUDES} ${CMAKE_BINARY_DIR}/solid)

add_subdirectory( tests )
add_subdirectory(examples)
add_subdirectory(experimental)
add_subdirectory(platform_kde)
add_subdirectory(libkaudiodevicelist)
if(NOT MINGW)
  # ICE in outputdevicechoice.cpp:262
  add_subdirectory( kcm )
endif(NOT MINGW)
########### next target ###############

set(phonon_LIB_SRCS
   objectdescription.cpp
   objectdescriptionmodel.cpp
   phononnamespace.cpp
   mediasource.cpp
   abstractmediastream.cpp
   streaminterface.cpp
   mediaobject.cpp
   medianode.cpp
   path.cpp
   effectparameter.cpp
   effect.cpp
   volumefadereffect.cpp
   audiooutputadaptor.cpp
   abstractaudiooutput.cpp
   abstractaudiooutput_p.cpp
   audiooutput.cpp
   abstractvideooutput.cpp
   abstractvideooutput_p.cpp
   backendcapabilities.cpp
   globalconfig.cpp
   factory.cpp
   platform.cpp
   mediacontroller.cpp
   videowidget.cpp
   videoplayer.cpp
   seekslider.cpp
   volumeslider.cpp
   effectwidget.cpp
   iodevicestream.cpp
   )

kde4_add_library(phonon SHARED ${phonon_LIB_SRCS})
target_link_libraries(phonon ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
#do not use GENERIC versioning in phonon
set_target_properties(phonon PROPERTIES VERSION 4.2.0 SOVERSION 4)
install(TARGETS phonon ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES
   phonon_export.h
   objectdescription.h
   objectdescriptionmodel.h
   phononnamespace.h
   mediasource.h
   abstractmediastream.h
   streaminterface.h
   mediaobject.h
   audiooutput.h
   medianode.h
   path.h
   effectparameter.h
   effect.h
   effectinterface.h
   volumefadereffect.h
   volumefaderinterface.h
   abstractaudiooutput.h
   abstractvideooutput.h
   backendcapabilities.h
   phonondefs.h
   backendinterface.h
   mediaobjectinterface.h
   audiooutputinterface.h
   addoninterface.h
   mediacontroller.h
   videowidget.h
   videowidgetinterface.h
   videoplayer.h
   seekslider.h
   volumeslider.h
   effectwidget.h
   DESTINATION ${INCLUDE_INSTALL_DIR}/phonon COMPONENT Devel)

install( FILES  phononbackend.desktop           DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
install( FILES  org.kde.Phonon.AudioOutput.xml  DESTINATION  ${DBUS_INTERFACES_INSTALL_DIR} )

=== src/3rdparty/libpng/scripts/CMakeLists.txt ===
                                             
project(PNG)

# Copyright (C) 2007 Glenn Randers-Pehrson
# For conditions of distribution and use, see copyright notice in png.h

set(PNGLIB_MAJOR 1)
set(PNGLIB_MINOR 2)
set(PNGLIB_RELEASE 29)
set(PNGLIB_NAME libpng${PNGLIB_MAJOR}${PNGLIB_MINOR})
set(PNGLIB_VERSION ${PNGLIB_MAJOR}.${PNGLIB_MINOR}.${PNGLIB_RELEASE})

# needed packages
find_package(ZLIB REQUIRED)
if(NOT WIN32)
 find_library(M_LIBRARY
     NAMES m
     PATHS /usr/lib /usr/local/lib
 )
 if(NOT M_LIBRARY)
   message(STATUS
     "math library 'libm' not found - floating point support disabled")
 endif(NOT M_LIBRARY)
else(NOT WIN32)
 # not needed on windows
 set(M_LIBRARY "")
endif(NOT WIN32)


# COMMAND LINE OPTIONS
option(PNG_SHARED "Build shared lib" YES)
option(PNG_STATIC "Build static lib" YES)
if(MINGW)
  option(PNG_TESTS  "Build pngtest" NO)
else(MINGW)
  option(PNG_TESTS  "Build pngtest" YES)
endif(MINGW)
option(PNG_NO_CONSOLE_IO "FIXME" YES)
option(PNG_NO_STDIO      "FIXME" YES)
option(PNG_DEBUG         "Build with debug output" YES)
option(PNGARG            "FIXME" YES)
#TODO:
# PNG_CONSOLE_IO_SUPPORTED

# maybe needs improving, but currently I don't know when we can enable what :)
set(png_asm_tmp "OFF")
if(NOT WIN32)
 find_program(uname_executable NAMES uname PATHS /bin /usr/bin /usr/local/bin)
 if(uname_executable)
   EXEC_PROGRAM(${uname_executable} ARGS --machine OUTPUT_VARIABLE uname_output)
   if("uname_output" MATCHES "^.*i[1-9]86.*$")
      set(png_asm_tmp "ON")
   else("uname_output" MATCHES "^.*i[1-9]86.*$")
      set(png_asm_tmp "OFF")
   endif("uname_output" MATCHES "^.*i[1-9]86.*$")
 endif(uname_executable)
else(NOT WIN32)
 # this env var is normally only set on win64
 SET(TEXT "ProgramFiles(x86)")
 if("$ENV{${TEXT}}" STREQUAL "")
  set(png_asm_tmp "ON")
 endif("$ENV{${TEXT}}" STREQUAL "")
endif(NOT WIN32)

# SET LIBNAME
# msvc does not append 'lib' - do it here to have consistent name
if(MSVC)
 set(PNG_LIB_NAME lib)
endif(MSVC)
set(PNG_LIB_NAME ${PNG_LIB_NAME}png${PNGLIB_MAJOR}${PNGLIB_MINOR})

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")


# OUR SOURCES
set(libpng_sources
 png.h
 pngconf.h
 png.c
 pngerror.c
 pngget.c
 pngmem.c
 pngpread.c
 pngread.c
 pngrio.c
 pngrtran.c
 pngrutil.c
 pngset.c
 pngtrans.c
 pngwio.c
 pngwrite.c
 pngwtran.c
 pngwutil.c
)
set(pngtest_sources
       pngtest.c
)
# SOME NEEDED DEFINITIONS
if(MSVC)
  add_definitions(-DPNG_NO_MODULEDEF -D_CRT_SECURE_NO_DEPRECATE)
endif(MSVC)

add_definitions(-DZLIB_DLL)

add_definitions(-DLIBPNG_NO_MMX)
add_definitions(-DPNG_NO_MMX_CODE)

if(PNG_CONSOLE_IO_SUPPORTED)
 add_definitions(-DPNG_CONSOLE_IO_SUPPORTED)
endif(PNG_CONSOLE_IO_SUPPORTED)

if(PNG_NO_CONSOLE_IO)
 add_definitions(-DPNG_NO_CONSOLE_IO)
endif(PNG_NO_CONSOLE_IO)

if(PNG_NO_STDIO)
 add_definitions(-DPNG_NO_STDIO)
endif(PNG_NO_STDIO)

if(PNG_DEBUG)
 add_definitions(-DPNG_DEBUG)
endif(PNG_DEBUG)

if(NOT M_LIBRARY AND NOT WIN32)
 add_definitions(-DPNG_NO_FLOATING_POINT_SUPPORTED)
endif(NOT M_LIBRARY AND NOT WIN32)

# NOW BUILD OUR TARGET
include_directories(${PNG_SOURCE_DIR} ${ZLIB_INCLUDE_DIR})

if(PNG_SHARED)
 add_library(${PNG_LIB_NAME} SHARED ${libpng_sources})
 target_link_libraries(${PNG_LIB_NAME} ${ZLIB_LIBRARY} ${M_LIBRARY})
endif(PNG_SHARED)
if(PNG_STATIC)
# does not work without changing name
 set(PNG_LIB_NAME_STATIC ${PNG_LIB_NAME}_static)
 add_library(${PNG_LIB_NAME_STATIC} STATIC ${libpng_sources})
endif(PNG_STATIC)

if(PNG_SHARED AND WIN32)
 set_target_properties(${PNG_LIB_NAME} PROPERTIES DEFINE_SYMBOL PNG_BUILD_DLL)
endif(PNG_SHARED AND WIN32)

if(PNG_TESTS)
# does not work with msvc due to png_lib_ver issue
 add_executable(pngtest ${pngtest_sources})
 target_link_libraries(pngtest ${PNG_LIB_NAME})
#  add_test(pngtest ${PNG_SOURCE_DIR}/pngtest.png)
endif(PNG_TESTS)


# CREATE PKGCONFIG FILES
# we use the same files like ./configure, so we have to set its vars
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(libdir      ${CMAKE_INSTALL_PREFIX}/lib)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include)

configure_file(${PNG_SOURCE_DIR}/scripts/libpng.pc.in
  ${PNG_BINARY_DIR}/libpng.pc)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng-config.in
  ${PNG_BINARY_DIR}/libpng-config)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng.pc.in
  ${PNG_BINARY_DIR}/${PNGLIB_NAME}.pc)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng-config.in
  ${PNG_BINARY_DIR}/${PNGLIB_NAME}-config)

# SET UP LINKS
set_target_properties(${PNG_LIB_NAME} PROPERTIES
#    VERSION 0.${PNGLIB_RELEASE}.1.2.29
     VERSION 0.${PNGLIB_RELEASE}.0
     SOVERSION 0
     CLEAN_DIRECT_OUTPUT 1)
if(NOT WIN32)
  # that's uncool on win32 - it overwrites our static import lib...
  set_target_properties(${PNG_LIB_NAME_STATIC} PROPERTIES
     OUTPUT_NAME ${PNG_LIB_NAME}
     CLEAN_DIRECT_OUTPUT 1)
endif(NOT WIN32)
# INSTALL
install_targets(/lib ${PNG_LIB_NAME})
if(PNG_STATIC)
  install_targets(/lib ${PNG_LIB_NAME_STATIC})
endif(PNG_STATIC)

install(FILES png.h pngconf.h         DESTINATION include)
install(FILES png.h pngconf.h         DESTINATION include/${PNGLIB_NAME})
install(FILES libpng.3 libpngpf.3             DESTINATION man/man3)
install(FILES png.5                           DESTINATION man/man5)
install(FILES ${PNG_BINARY_DIR}/libpng.pc     DESTINATION lib/pkgconfig)
install(FILES ${PNG_BINARY_DIR}/libpng-config      DESTINATION bin)
install(FILES ${PNG_BINARY_DIR}/${PNGLIB_NAME}.pc  DESTINATION lib/pkgconfig)
install(FILES ${PNG_BINARY_DIR}/${PNGLIB_NAME}-config DESTINATION bin)

# what's with libpng.txt and all the extra files?


# UNINSTALL
# do we need this?


# DIST
# do we need this?

# to create msvc import lib for mingw compiled shared lib
# pexports libpng.dll > libpng.def
# lib /def:libpng.def /machine:x86

=== src/3rdparty/kdebase/runtime/phonon/ds9/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Trolltech ASA. All rights reserved.
+# Copyright (C) 2008 Nokia Corporation and/or its subsidiary(-ies).
 #
 # This library is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Lesser General Public License as published by

=== src/3rdparty/kdebase/runtime/phonon/gstreamer/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Trolltech ASA. All rights reserved.
+# Copyright (C) 2008 Nokia Corporation and/or its subsidiary(-ies).
 #
 # This library is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Lesser General Public License as published by

=== src/3rdparty/kdebase/runtime/phonon/qt7/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Trolltech ASA. All rights reserved.
+# Copyright (C) 2008 Nokia Corporation and/or its subsidiary(-ies).
 #
 # This library is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Lesser General Public License as published by

## qt4-x11 4.5.0

=== src/3rdparty/phonon/qt7/CMakeLists.txt ===
# Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.
project(phonon-qt7)
include(ConfigureChecks.cmake)

if (BUILD_PHONON_QT7)
    set(phonon_qt7_SRCS
        medianode.cpp
        backend.cpp
        videowidget.cpp
        mediaobject.cpp
        quicktimevideoplayer.cpp
	displaylinkcallback.cpp
        error.cpp
	medianodevideopart.cpp
        medianodeevent.cpp
        quicktimeaudioplayer.cpp
	audionode.cpp
        audiograph.cpp
        audiooutput.cpp
        quicktimemetadata.cpp
   	audiomixer.cpp
        audiodevice.cpp
        backendinfo.cpp
        audioconnection.cpp
   	videoframe.cpp
        audiosplitter.cpp
        mediaobjectaudionode.cpp
       )

   kde4_add_plugin(phonon_qt7 ${phonon_qt7_SRCS})
   target_link_libraries(phonon_qt7
       ${QT_QTGUI_LIBRARY} ${QT_QTOPENGL_LIBRARY}
       ${KDE4_PHONON_LIBS}
       "-framework QuickTime"
       "-framework OpenGL"
       "-framework AudioUnit"
       "-framework AudioToolbox"
       "-framework CoreAudio"
       "-framework Quartz"
#      "-framework AGL"
       )
    install(TARGETS phonon_qt7 DESTINATION ${PLUGIN_INSTALL_DIR})
    #install(FILES qt7.desktop DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)

endif (BUILD_PHONON_QT7)

## qt4-x11 4.5.2-git20090622-0maemo1

=== debian/changelog ===
qt4-x11 (4.5.2-git20090622-0maemo1) experimental; urgency=low

  * Initial release.

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Mon, 06 Jul 2009 21:10:34 +0300

=== debian/control ===
Source: qt4-x11
Section: libs
Priority: optional
Maintainer: Antonio Aloisio <antonio.aloisio@nokia.com> 
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cdbs, debhelper (>= 5), flex,  doxygen, quilt, sharutils, icd2-osso-ic-dev,
 libdbus-1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev, libjpeg62-dev,
 libpng12-dev, libreadline5-dev | libreadline4-dev, libsm-dev, libtiff4-dev, libx11-dev,
 libxcursor-dev, libxext-dev, libxft-dev, libxi-dev, libxmu-dev,
 libxrandr-dev, libxrender-dev, libxslt1-dev, libxt-dev, x11proto-core-dev,
 zlib1g-dev, libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev, libgtk2.0-dev, libhildon1-dev,
 libgles2-dev [arm armel !i386] | libgles2-sgx-img-dev [arm armel !i386], opengles-sgx-img-common-dev [arm armel !i386],
 libgl-dev [i386 !arm !armel], libgl1 [i386 !arm !armel], libgtk2.0-dev, libhildon1-dev,
 libxau-dev, libxcb1-dev, libxdmcp-dev, libexpat1-dev,  opengles-sgx-img-common [arm armel !i386],
 libsqlite3-dev, libsqlite3-0, libssl-dev, 
Standards-Version: 3.8.0
Homepage: http://qt4.garage.maemo.org

Package: libqt4-core
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1)
Description: Qt 4 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt4-core-translations
Architecture: any
Section: libs
Depends: libqt4-core (= ${binary:Version})
Description: Qt 4 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the translation files for the QtCore module.

Package: libqt4-gui
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libfontconfig1 (>= 2.4.1), libfreetype6 (>= 2.3.5), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libice6 (>= 1:1.0.0), libjpeg62, libpng12-0 (>= 1.2.8rel), libqt4-core (= ${binary:Version}), libsm6, libstdc++6 (>= 4.2.1), libtiff4, libx11-6, libxext6, libxi6, libxrandr2 (>= 2:1.2.0), libxrender1, zlib1g (>= 1:1.2.1), fontconfig
Description: Qt 4 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt4-network
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1)
Description: Qt 4 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt4-script
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-dbus (= ${binary:Version}), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 script module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

Package: libqt4-sql
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Recommends: libqt4-sql-sqlite
Suggests: libqt4-dev
Description: Qt 4 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.
 .
 If you wish to to use the SQL module for development, you should install the
 libqt4-dev package.

Package: libqt4-sql-sqlite
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql (= ${binary:Version})
Description: Qt 4 SQLite plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

Package: libqt4-svg
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libqt4-gui (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 SVG module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: libqt4-webkit
Architecture: any
Section: libs
Depends:  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-network (= ${binary:Version}), libqt4-core (= ${binary:Version}), libqt4-gui (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 WebKit module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqt4-xml
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.


Package: libqt4-xmlpatterns
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1), libqt4-xml (= ${binary:Version})
Description: Qt 4 XML Patterns module
 lorem ipsum
 .
 and all that 

Package: libqt4-dbus
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-xml (= ${binary:Version}), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt4-designer
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-script (= ${binary:Version}), libqt4-xml (= ${binary:Version}), libqt4-core (= ${binary:Version}), libqt4-gui (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 designer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner module provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt4-help
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-sql (= ${binary:Version}), libqt4-core (= ${binary:Version}), libqt4-gui (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 help module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp module provides classes for integrating online documentation in
 applications.

Package: libqt4-assistant
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libqt4-network (= ${binary:Version}), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 assistant module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtAssistant module provides a means of launching Qt Assistant to provide
 online help.

Package: libqt4-test
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt4-dev
Architecture: any
Section: libdevel
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-dbus (= ${binary:Version}), libqt4-xml (= ${binary:Version}), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-network, libqt4-gui, libqt4-svg, libqt4-webkit, libqt4-sql, libqt4-script, libqt4-designer, libqt4-help, libqt4-assistant, libqt4-test
Suggests: qt4-dev-tools, qt4-doc, libmysqlclient15-dev, libsqlite0-dev, libsqlite3-dev, libpq-dev, libiodbc2-dev, firebird2.0-dev
Description: Qt 4 development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files and development programs
 such as qmake used for building Qt4 applications.

Package: qt4-designer
Architecture: any
Section: devel
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-designer (= ${binary:Version}), libqt4-network (= ${binary:Version}), libqt4-xml (= ${binary:Version}), libqt4-core (= ${binary:Version}), libqt4-gui (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Recommends: libqt4-dev
Description: Qt 4 Designer
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Designer is a tool for designing and building graphical user interfaces
 (GUIs) from Qt components.

Package: qt4-dev-tools
Architecture: any
Section: devel
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-dbus (= ${binary:Version}), libqt4-help (= ${binary:Version}), libqt4-network (= ${binary:Version}), libqt4-xml (= ${binary:Version}), libqt4-core (= ${binary:Version}), libqt4-gui (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Recommends: libqt4-dev, qt4-doc, qt4-designer
Description: Qt 4 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains tools used to assist in Qt 4 development, including
 the Qt Assistant, Linguist, D-Bus Viewer and Pixel Tool applications.

Package: libqt4-qt3support
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1)
Description: Qt 4 qt3 support libraries
 Qt 4 qt3 support libraries

Package: libqt4-phonon
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-xml (= ${binary:Version}), libqt4-gui (= ${binary:Version}), libqt4-opengl (= ${binary:Version})
Description: Qt 4 Phonon Libraries
 Qt 4 media playing libraries

Package: libqt4-opengl
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), ${shlibs:Depends}, opengles-sgx-img-common [arm armel !i386], libgles2 [arm armel !i386]
Description: Qt 4 OpenGL module

=== debian/rules ===
#!/usr/bin/make -f

export QTDIR := $(shell pwd)
export PATH := $(QTDIR)/bin:$(PATH)
# workaround to use lrelease.
export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
export DH_VERBOSE=1

# Only present in official source package
#QTVERSION := $(shell ls changes-* | cut -f2 -d '-')
CURRENTVERSION := $(shell head -1 debian/changelog  | sed 's/[^(]*(\([^)]*\)).*/\1/')

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

# Find out how many parallel threads to run 
TMP_BUILD_OPTS = $(subst $(comma),$(space),$(DEB_BUILD_OPTIONS))
ifneq (,$(filter parallel=%,$(TMP_BUILD_OPTS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(TMP_BUILD_OPTS)))
	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_MAKE_INVOKE := $(MAKE) $(PARALLEL_MAKEFLAGS)
DEB_MAKE_BUILD_TARGET := sub-src
DEB_MAKE_INSTALL_TARGET := INSTALL_ROOT=$(DEB_DESTDIR) install
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

# Ensure the *.debug files aren't included in any package other than libqt4-dbg
DEB_DH_INSTALL_ARGS := --exclude=.debug

DEB_MAKE_CLEAN_TARGET := confclean distclean

# Shlibs of the current upstream version
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

DEB_DH_STRIP_ARGS_libqt4-dbg := --exclude=.debug

DEB_DH_SHLIBDEPS_ARGS_ALL := --exclude=.debug

# Only present in official source package
#DEB_INSTALL_CHANGELOGS_ALL := changes-$(QTVERSION)

# Select OpenGL backend driver
ifeq ($(DEB_HOST_ARCH),arm)
	EXTRA_CONFIGURE_OPTS += -DQT_QLOCALE_USES_FCVT
	GL_BACKEND=es2
else
	GL_BACKEND=desktop
endif

ifeq ($(DEB_HOST_ARCH),armel)
	EXTRA_CONFIGURE_OPTS += -DQT_QLOCALE_USES_FCVT
	GL_BACKEND=es2
else
	EXTRA_CONFIGURE_OPTS += -DQT_QLOCALE_USES_FCVT
	GL_BACKEND=desktop
endif

# Determine target architecture
ifeq ($(DEB_HOST_ARCH_OS),linux)
	ifeq ($(GL_BACKEND),es2)
		PLATFORM_ARG = linux-g++-gles2
	else
		PLATFORM_ARG = linux-g++-opengl
	endif
else
	PLATFORM_ARG = glibc-g++
endif

common-build-arch::  debian/stamp-makefile-build-tools

debian/stamp-makefile-build-tools: debian/stamp-makefile-build
	$(MAKE) sub-tools
	touch $@

common-configure-arch:: config.status

config.status:
	# Create mkspecs/glibc-g++ from mkspecs/linux-g++, needed by GNU/kFreeBSD
	# we cannot use directly linux-g++ due to src/corelib/io/io.pri
	rm -rf mkspecs/linux-g++-gles2
	cp -a debian/mkspecs/linux-g++-gles2 mkspecs/
	rm -rf mkspecs/linux-g++-opengl
	cp -a debian/mkspecs/linux-g++-opengl mkspecs/
	rm -rf mkspecs/glibc-g++
	cp -a mkspecs/linux-g++ mkspecs/glibc-g++
	./configure -opensource -confirm-license \
				-prefix "/usr" \
				-bindir "/usr/bin" \
				-libdir "/usr/lib" \
				-docdir "/usr/share/qt4/doc" \
				-headerdir "/usr/include/qt4" \
				-datadir "/usr/share/qt4" \
				-plugindir "/usr/lib/qt4/plugins" \
				-translationdir "/usr/share/qt4/translations" \
				-sysconfdir "/etc/xdg" \
				-platform $(PLATFORM_ARG) \
				-fast \
				-mitshm \
				-no-optimized-qmake \
				-reduce-relocations \
				-separate-debug-info \
				-no-rpath \
				-system-zlib \
				-system-libtiff \
				-system-libpng \
				-system-libjpeg \
				-no-nas-sound \
				-qt-gif \
				-qt3support \
				-no-libmng \
				-opengl $(GL_BACKEND) \
				-no-accessibility \
				-nomake examples \
				-nomake demos \
				-little-endian \
				-I/usr/include/freetype2 \
				-lfontconfig \
				-no-cups \
				-gtkstyle \
				-exceptions \
				-no-xinerama \
				-dbus \
				-glib \
				-no-pch \
				-gstreamer \
				-svg \
				-webkit \
				-no-sql-ibase \
				-xmlpatterns \
				-system-sqlite \
				-plugin-sql-sqlite \
				-openssl \
				-hildon \
				$(EXTRA_CONFIGURE_OPTS)

clean::
# Extra stuff missed by confclean/distclean
	
	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;
	
	# Misc. directories
	rm -rf \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  mkspecs/glibc-g++/ \
	  plugins/ \
	;
	
	# hppa test directory
	rm -rf debian/hppa-tmp

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf
		
	# Leftover files and all symlinks
	find \( -false \
	  -o -name \*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name \*.so \
	  -o -name \*.so.debug \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf 
	
	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	 -print0 | xargs -0 rm -rf 
	
	# Any remaining executables
	find $(CURDIR) -type f -exec file -i '{}' \; | grep \
	  -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

	# Generated on build
	rm -f debian/shlibs.local
	rm -f debian/stamp-makefile-build-tools

common-install-arch::
# Fix wrong path in pkgconfig files
	find $(DEB_DESTDIR)/usr/lib/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;
# Fix wrong path in prl files
	find $(DEB_DESTDIR)/usr/lib -type f -name '*.prl' \
		-exec perl -pi -e "s, -L$(CURDIR)/\S+,,g" {} \;
	find $(DEB_DESTDIR)/usr/lib -type f -name '*.prl' \
		-exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d;s/\(QMAKE_PRL_LIBS =\).*/\1/" {} \;

#build/qt4-dev-tools::
#	$(MAKE) sub-tools-qdoc3

install/libqtcore4::
	$(CURDIR)/bin/lrelease debian/translations/qt_ca.ts \
		-qm $(DEB_DESTDIR)/usr/share/qt4/translations/qt_ca.qm

install/qt4-demos::
	mkdir -p debian/$(cdbs_curpkg)/usr/lib/qt4/demos/qtdemo
	uudecode -o debian/$(cdbs_curpkg)/usr/lib/qt4/demos/qtdemo/qtdemo.qhc \
		debian/collection/qtdemo.qhc.uu

install/qt4-designer::
	install -D -p -m0644 debian/desktop/designer.desktop \
		debian/$(cdbs_curpkg)/usr/share/applications/designer.desktop
	mkdir -p debian/$(cdbs_curpkg)/usr/share/pixmaps
	uudecode -o debian/$(cdbs_curpkg)/usr/share/pixmaps/designer.png \
		debian/desktop/designer.png.uu

install/qt4-dev-tools::
	#install -D -p -m0644 $(CURDIR)/tools/qdoc3/qdoc3 debian/$(cdbs_curpkg)/usr/bin/qdoc3
	install -D -p -m0644 debian/desktop/assistant.desktop \
		debian/$(cdbs_curpkg)/usr/share/applications/assistant.desktop
	install -D -p -m0644 debian/desktop/linguist.desktop \
		debian/$(cdbs_curpkg)/usr/share/applications/linguist.desktop
	mkdir -p debian/$(cdbs_curpkg)/usr/share/pixmaps
	uudecode -o debian/$(cdbs_curpkg)/usr/share/pixmaps/assistant.png \
		debian/desktop/assistant.png.uu
	uudecode -o debian/$(cdbs_curpkg)/usr/share/pixmaps/linguist.png \
		debian/desktop/linguist.png.uu

install/qt4-qtconfig::
	install -D -p -m0644 debian/desktop/qt4config.desktop \
		debian/$(cdbs_curpkg)/usr/share/applications/qt4config.desktop
	mkdir -p debian/$(cdbs_curpkg)/usr/share/pixmaps
	uudecode -o debian/$(cdbs_curpkg)/usr/share/pixmaps/qtconfig.png \
		debian/desktop/qtconfig.png.uu

binary-install/libqt4-dbg::
# Run dh_install without the default DEB_DH_INSTALL_ARGS to install the *.debug files
	dh_install -plibqt4-dbg --sourcedir=$(DEB_DH_INSTALL_SOURCEDIR)

binary-install/libqt4-webkit-dbg::
# Run dh_install without the default DEB_DH_INSTALL_ARGS to install the *.debug files
	dh_install -plibqt4-webkit-dbg --sourcedir=$(DEB_DH_INSTALL_SOURCEDIR)

binary-install/libqt4-xmlpatterns-dbg::
# Run dh_install without the default DEB_DH_INSTALL_ARGS to install the *.debug files
	dh_install -plibqt4-xmlpatterns-dbg --sourcedir=$(DEB_DH_INSTALL_SOURCEDIR)

binary-install/libqt4-phonon-dbg::
# Run dh_install without the default DEB_DH_INSTALL_ARGS to install the *.debug files
	dh_install -plibqt4-phonon-dbg --sourcedir=$(DEB_DH_INSTALL_SOURCEDIR)

## qt4-x11 4.6.2~git20100310-0maemo1+0m5

=== debian/changelog ===
qt4-x11 (4.6.2~git20100310-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 4.6.2~git20100310-0maemo1+0m5

 -- Urho Konttori <urho.konttori@nokia.com>  Tue, 16 Mar 2010 11:44:37 +0200

qt4-x11 (4.6.2~git20100310-0maemo1) unstable; urgency=low

   * Fixes: NB#160164

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 10 Mar 2010 17:07:58 +0100

qt4-x11 (4.6.2~git20100309-0maemo1) unstable; urgency=low

   * Fixes: NB#159893
   * Fixes: NB#157343

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 09 Mar 2010 11:19:34 +0100

qt4-x11 (4.6.2~git20100308-0maemo1) unstable; urgency=low

   * Fixes for IM, kinetic scrolling and documentation.

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 08 Mar 2010 19:19:34 +0100

qt4-x11 (4.6.2~git20100224-0maemo1) unstable; urgency=low

   * Fixes: NB#158052 - Qt optification

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 24 Feb 2010 17:53:22 +0200

qt4-x11 (4.6.1~git20100208-0maemo1) unstable; urgency=low

   * Fixes: NB#155949

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 08 Feb 2010 15:17:01 +0200

qt4-x11 (4.6.1~git20100202-0maemo1) unstable; urgency=low

   * Fixes: NB#155085

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 03 Feb 2010 13:39:01 +0200

qt4-x11 (4.6.1~git20100121-0maemo1) unstable; urgency=low

  * Sync with 4.6-fremantle branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 21 Jan 2010 15:29:01 +0200

qt4-x11 (4.6.0~git20100111-0maemo1) unstable; urgency=low

  * Also package lrelease and lupdate
  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 11 Jan 2010 15:29:01 +0200

qt4-x11 (4.6.0~git20091218-0maemo1) unstable; urgency=low

  * Also strip the host-tools in libqt4-maemo5-dev
  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 18 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091216-0maemo2) unstable; urgency=low

  * Rename packages and install location to match 4.5 style packages.
  * Fixes: NB#152389 - Qt4.6 missing from platform.

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 16 Dec 2009 17:30:14 +0200

qt4-x11 (4.6.0~git20091215-0maemo1) unstable; urgency=low

  * Fix dependencies of libQtMultimedia

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 15 Dec 2009 11:29:01 +0200

qt4-x11 (4.6.0~git20091214-0maemo1) unstable; urgency=low

  * Also package accessible plugins and the N900 QtMultimedia plugin

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 14 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091212-0maemo1) unstable; urgency=low

  * OpenGL fix

 -- Qt Development Frameworks <qt-info@nokia.com>  Sat, 12 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091211-0maemo1) unstable; urgency=low

  * Pulled latest source code

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 11 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091207-0maemo1) unstable; urgency=low

  * Added mce-dev as build requirement

 -- Qt Development Frameworks <qt-info@nokia.com>  Sun, 07 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091206-0maemo1) unstable; urgency=low

  * Also package x11 examples

 -- Qt Development Frameworks <qt-info@nokia.com>  Sun, 06 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091204-0maemo1) unstable; urgency=low

  * Also package libQtMultimedia
  * Updated dependencies of libqt4-x11-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 04 Nov 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091125-0maemo1) unstable; urgency=low

  * Pulled latest source code
  * Removed libqt4-x11-opengl-dev, merged into libqt4-x11-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 25 Nov 2009 11:07:01 +0200

qt4-x11 (4.6.0~git20091119-0maemo1) unstable; urgency=low

  * Pulled latest source code

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 19 Nov 2009 18:50:01 +0200

qt4-x11 (4.6.0~git20091118-0maemo1) unstable; urgency=low

  * Also install qdbuscpp2xml and qdbusxml2cpp

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 18 Nov 2009 15:33:01 +0200

qt4-x11 (4.6.0~git20091117-0maemo1) unstable; urgency=low

  * Fix dependencies for the QtOpenGL package

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 17 Nov 2009 15:33:01 +0200

qt4-x11 (4.6.0~git20091116-0maemo1) unstable; urgency=low

  * Exclude .git/ directory from source packages

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 16 Nov 2009 17:23:01 +0200

qt4-x11 (4.6.0~git20091105-0maemo1) unstable; urgency=low

  * Initial packaging of Qt 4.6 for fremantle.

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 05 Nov 2009 17:52:01 +0200
